Search found 86 matches

Go to advanced search

by petit_chat_noir
Thu May 28, 2020 2:06 pm
Forum: Install / Compile
Topic: Ubuntu 20.04 compile fail (PYSIDE2RCCBINARY-NOTFOUND)
Replies: 1
Views: 266

Ubuntu 20.04 compile fail (PYSIDE2RCCBINARY-NOTFOUND)

Hello,
I've seen that bug is reported, so is there a way to solve this problem at this time ?
compile pyside2-tools manually ?
thanks !
by petit_chat_noir
Tue Apr 21, 2020 8:18 pm
Forum: Python scripting and macros
Topic: treeview(viewObject) reduce group with python
Replies: 4
Views: 285

Re: treeview(viewObject) reduce group with python

Mod Edit: Moved to python scripting subforum
[/quote]
@Kunda1 please send me a notification or PM when you move my post :D I'm lost
Kunda1 wrote:
Tue Apr 21, 2020 4:12 pm
by petit_chat_noir
Tue Apr 21, 2020 8:11 pm
Forum: Draft, Arch & BIM
Topic: proposal right click menu
Replies: 1
Views: 201

proposal right click menu

Hello, what do you think about adding this feature in the right click menu ? : #isolate selected elements import FreeCAD,FreeCADGui obj= Gui.Selection.getSelection() for i in FreeCAD.ActiveDocument.Objects: if not hasattr(i,"Group"): if i not in obj: i.Visibility=False another function should follow...
by petit_chat_noir
Tue Apr 21, 2020 7:24 pm
Forum: Draft, Arch & BIM
Topic: Help Needed on stretch/cut tool
Replies: 0
Views: 184

Help Needed on stretch/cut tool

hello, I want to developp a tool to stretch/cut Shapes, like draft.stretch does for lines. I've already made a tool approaching of what I want : https://github.com/JeromeL63/Wood-Frame/ WFStretch.py ,this is what I need (with another CAD soft that I want to leave :) ): https://youtu.be/eguc6Ccpnwk I...
by petit_chat_noir
Tue Apr 21, 2020 12:35 pm
Forum: Python scripting and macros
Topic: treeview(viewObject) reduce group with python
Replies: 4
Views: 285

treeview(viewObject) reduce group with python

Hello I've created a group with Python : FreeCAD.ActiveDocument.addObject("App::DocumentObjectGroupPython", self.name) I've added some objects in, and i would like to reduce/minimize my group in the treeview with a python function: Screenshot_20200421_143221.png Screenshot_20200421_143205.png thanks...
by petit_chat_noir
Tue Apr 21, 2020 12:28 pm
Forum: Draft, Arch & BIM
Topic: Structural model, Architectural model, Bim
Replies: 25
Views: 1266

Re: Structural model, Architectural model, Bim

Yes, my previous projects only have 1 storey, so it wasn't necessary. With multi storey i think you're right
by petit_chat_noir
Tue Apr 21, 2020 5:58 am
Forum: UX/UI Design
Topic: [Suggestion] preferences window
Replies: 0
Views: 275

[Suggestion] preferences window

Hello,
When you click on Edit->Preferences, the window is higher than screen height, so the OK Cancel Apply buttons are not shown. You have to maximize the windows to show buttons.
Could you please check screen height and so windows height < screen height.
Thanks !
by petit_chat_noir
Mon Apr 20, 2020 7:09 pm
Forum: Draft, Arch & BIM
Topic: Structural model, Architectural model, Bim
Replies: 25
Views: 1266

Re: Structural model, Architectural model, Bim

Yes. By default, imported IFC files recreate a project + site + building in FreeCAD. So if you end up creating your own too, you end up with two buildings in your model. You could safely delete the project + site + building imported from IFC, and only keep the objects... Maybe we could add an optio...
by petit_chat_noir
Mon Apr 20, 2020 5:17 pm
Forum: Draft, Arch & BIM
Topic: DRAFT Group update
Replies: 18
Views: 1186

Re: DRAFT Group update

Why App::DocumentObjectGroup doesn't create "name/ID" itself? It does. >>> obj = App.ActiveDocument.addObject("App::DocumentObjectGroup") >>> obj.Name 'App__DocumentObjectGroup' >>> obj.Label 'App__DocumentObjectGroup' But that's too long, so it's better to use a shorter, standardized name "Group"....
by petit_chat_noir
Mon Apr 20, 2020 8:00 am
Forum: Draft, Arch & BIM
Topic: DRAFT Group update
Replies: 18
Views: 1186

Re: DRAFT Group update

Ok, I've made a code change : group = App.activeDocument().addObject("App::DocumentObjectGroup","Group") group.Label=self.name.text() BUT, how to retreive word translation of "Group"? if I right clic on project tree and then -> create new group, the name is translated. So I have to do the same as th...

Go to advanced search